
# GAIM enviironment variables

## put the correct setting here
#export GAIM=$HOME/projects/gaim
#export INTEL_BASE=/usr/depot/cots/redhat/Intel_Fortran/7.1/compiler70/ia32
#export GAIM_OPS=/usr1/gaim/ops

export MODE=dbg


# do some checking

if [ "$GAIM" == "" ]; then
    echo "Please edit the gaim.env.sh file to set the GAIM environment variable";
    return;
elif [ ! -d $GAIM ]; then
    echo "Incorrect GAIM environment variable. No such directory $GAIM";
    return;
fi

if [ "$INTEL_BASE" == "" ]; then
    echo "Please edit the gaim.env.sh file to set the INTEL_BASE environment variable";
    return;
elif [ ! -d $INTEL_BASE ]; then
    echo "Incorrect INTEL_BASE environment variable. No such directory $INTEL_BASE";
    return;
fi

if [ "$GAIM_OPS" == "" ]; then
    echo "Please edit the gaim.env.sh file to set the GAIM_OPS environment variable";
    return;
elif [ ! -d $GAIM_OPS ]; then
    echo "Incorrect GAIM_OPS environment variable. No such directory $GAIM_OPS";
    return;
fi



###################################################################

os=$(uname -s)
if [ "$os" == "Linux" ]; then
	export ARCH=Linux86
elif [ "$os" == "SunOS" ]; then
	export ARCH=sun
elif [ "$os" == "HP-UX" ]; then
	export ARCH=hpux11x
else
	export ARCH=$(uname -m)
fi

export INTEL_BIN=$INTEL_BASE/bin
export PATH=$GAIM/scripts:$GAIM/bin:$PATH:$INTEL_BIN
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$INTEL_BASE/lib

export GAIM_SRC=$GAIM/source
export GAIM_BUILD=$GAIM/build
export GAIM_LIB=$GAIM_BUILD/lib
export GAIM_PRG=$GAIM_BUILD/prg

export GAIM_OPS_DATA=$GAIM_OPS/data
export GAIM_OPSD=$GAIM_OPS/daily
export GAIM_OPSH=$GAIM_OPS/daily/hourly

export F10p7_SSN_FILE=$GAIM_OPS_DATA/F10p7_SSN.dat
export AP_FILE=$GAIM_OPS_DATA/Ap.dat

