#!/usr/local/bin/perl -w
#   @(#)   client_igs.pl   1.3   04/24/02 
require 5.002;
use Socket;

# big or little endian machine ?
$i = 1;
$s  = pack( "s", $i );
( @c2 ) = unpack( "CC", $s );
$little_endian_machine = 0;  # assume big endian machine
$little_endian_machine = 1 if ( $c2[0] == 0x01 ); # true if little 

# create a udp socket
socket(SH, PF_INET, SOCK_DGRAM, getprotobyname('udp')) || die $!;
$dest_ANY  = sockaddr_in( 3738, INADDR_ANY);
bind( SH, $dest_ANY ) || die $!;

# request UDP transfer from ronster.jpl.nasa.gov
print "request to ronster.jpl.nasa.gov, USA\n";
$dest_ronster = sockaddr_in( 3738, inet_aton('128.149.70.133' ) );
$nsites = 1;
$request = pack("nA*", $nsites, "perl request");
send(SH, $request, 0, $dest_ronster ) || die $!;
&listen("ronster");

close(SH);
exit;

#########################
sub listen {

   $name = shift(@_);
   $rin = "";
   vec($rin, fileno(SH),1) = 1;

   local $rout;
   local $iaddr;

   local $port;
   local $len; 
   local $host;

   # time out after 2 second
   while( select($rout = $rin, undef, undef, 2.0 ) ) {

      # get the mesg from the port
      $addr = recv(SH,$message,1024,0) || return ;
      $len = length($message);
      return if ( $len == 0 );
      ( $port, $iaddr ) = sockaddr_in( $addr );
#     This may take too long to time out, so just call the host unknown.
#     $host = gethostbyaddr( $iaddr, AF_INET ) || "unknown host";
      $host = "unknown host";

#     There is probably a better way to do this with "nnnn".
      if ( $little_endian_machine ) {
         ( @m_bytes ) = unpack("C8", $message);
         $type   = pack "CC", $m_bytes[1], $m_bytes[0];
         $type   = unpack( "S", $type );
         $length = pack "CC", $m_bytes[3], $m_bytes[2];
         $length = unpack( "S", $length );
         $seqnum = pack "CC", $m_bytes[5], $m_bytes[4];
         $seqnum = unpack( "S", $seqnum );
         $siteid = pack "CC", $m_bytes[7], $m_bytes[6];
         $siteid = unpack( "S", $siteid );
      } else {
         ( $type, $length, $seqnum, $siteid  ) = unpack("SSSS", $message);
      }
      printf "port: %4d bytes: %2d host: %s ",
              $port, $len, $name;
      printf "type: %2d length %3d seqnum %3d siteid %2d\n",
              $type, $length, $seqnum, $siteid;
   }
}
###### end of subroutine listen ######
