#!/usr/local/bin/perl -w
#
# stlocs.pm contains an object useful for easy-access to stlocs data
#

use strict;

################################################################################
package Stlocs;
################################################################################
#Loads in an STLOCS file and reports location data in easy-to-call function form
#Can load in multiple STLOCS and save a merged file with unique data fields
################################################################################
sub load 
 {
  my ($self, $filepath)=@_;
  if ($filepath) {
   my @worker;
   open (STLOCS_FILE,$filepath);
   foreach (<STLOCS_FILE>)
    {
     chomp;
     my ($stat, $lat, $long, $alt, $elong)=split(' ',$_);
     ${$self->[0]}{$stat}=$lat;
     ${$self->[1]}{$stat}=$long;
     ${$self->[2]}{$stat}=$alt;
     ${$self->[3]}{$stat}=$elong;
    }
  }
 }
sub clear
 {
  my ($self)=shift;
  %${$self->[0]}={};
  %${$self->[1]}={};
  %${$self->[2]}={};
  %${$self->[3]}={};
 }
sub new 
 {
  my (%_latitude, %_longitude, %_altitude, %_elongitude);
  my $self = bless ([\%_latitude,
                     \%_longitude,
                     \%_altitude, 
                     \%_elongitude] , shift) ;
  load($self, @_);
  return $self;
 }
sub  latitude  { ${$_[0]->[0]}{$_[1]};  }
sub  longitude { ${$_[0]->[1]}{$_[1]};  }
sub elongitude { ${$_[0]->[2]}{$_[1]};  }
sub altitude   { ${$_[0]->[3]}{$_[1]};  }
sub save
 {
  my ($self, $filepath)=@_;
  print $filepath," = filepath\n";
  open (STLOCS_FILE,">$filepath");
  foreach ( sort keys(%{$self->[0]}) )
   {
    printf STLOCS_FILE "%4s        % 14.9f % 14.9f % 13.7f % 14.9f\n",
                        $_,${$self->[0]}{$_},${$self->[1]}{$_},${$self->[2]}{$_},${$self->[3]}{$_};
   }
  close (STLOCS_FILE);
 }

sub stations { my $self=shift; keys(%{$self->[0]}); }

1;
