#!/usr/local/bin/perl
# file wget.pl

use strict;
use LWP;

if ( @ARGV != 1 ) { print STDERR <<EOS;  exit }
usage: wget.pl  <url>
** Retrieve the specfied URL and return the result (text of the HTML or whatever)
   by printing it to STDOUT.

** To call it as a subroutine, use backticks.  (e.g, \$str = `wget.pl <url>`; )

EOS

my $url = shift;

my $agent = LWP::UserAgent->new;
my $request = HTTP::Request->new( GET => $url );

my $response = $agent->request($request);
$response->is_success or die "$url: ", $response->message, "\n";

print $response->content;

