
# Common rules for GAIM makefiles

GAIMROOT = /gaim/Newer

# INC = $(GAIMROOT)/include/
F_CMD_OPT = f90 -i4 -C -c -align dcommons
F_CMD_DBG = f90 -i4 -C -c -align dcommons -g

$(OBJDIR): FORCE
	@test -d $(MODE) || mkdir $(MODE)
	@test -d $@ || mkdir $@

clean:
	rm -rf dev

FORCE:

targ: $(OBJDIR) $(F_OBJ)
	ar ru $(MODE)/$(TARG) $(F_OBJ)
	ranlib $(MODE)/$(TARG)

off: FORCE
	@test -d $@ || mkdir $@
	@if sccs check ; then echo; else \
           echo NO OFFICIAL MAKES WHEN FILES ARE BEING EDITED ;\
           exit 2; fi
	@echo Silently creating off/opt/$(TARG) ...
	@make targ MODE=off/opt $(INX_OFF) "F_CMD=${F_CMD_OPT}" -s
	@echo Now creating off/dbg/$(TARG) ...
	@make targ MODE=off/dbg $(INX_OFF) "F_CMD=${F_CMD_DBG}"
	@test -d off/source || mkdir off/source
	@echo Now copying source files to off/source ...
	@cp -f `cat SOURCE` off/source

dev: FORCE
	@test -d $@ || mkdir $@
	@echo Silently creating dev/opt/$(TARG) ...
	@make targ MODE=dev/opt $(INX_DEV) "F_CMD=${F_CMD_OPT}" -s
	@echo Now creating dev/dbg/$(TARG) ...
	@make targ MODE=dev/dbg $(INX_DEV) "F_CMD=${F_CMD_DBG}"

