#!/usr/bin/perl 
#
# convert_is.pl -- convert WDC UK ionosonde params file into std form.
#
use lib "/iono/src/newgim/perllib";
use DateTime;

$dt = new DateTime;
$first = 1;

while ( <> ) {
    next unless /^[12][09]/;   # line begins w/ YYYY year
    ($date, $time, $site, $fof2, $next, $rest) = split;
    $time = substr($time, 0, 8);
    if ( $site eq "El" ) {   # exception, has space in name
	$site = $fof2;
	$fof2 = $next;
    }
    
    $loc = `grep $site /gaim/data/is/0205/is_stlocs.dat`;
    ($dum, $lat, $lon) = split ' ', $loc;

    if ( $first ) {
	$first = 0;
	$sec0 = $dt->fromCalStr($date)->toSec();
	$save_date = $date;
    }
    if ( $date ne $save_date ) {
	$save_date = $date;
	$sec0 += 86400;
    }

    $dt->fromCalStr("$date,$time");
    $sec1 = $dt->toSec();
    $sec = $sec1 - $sec0;

    if ( $fof2 ne "99.99" ) {
      printf "%s,%s %5d      foF2 %3d qf df %s %5.1f %5.1f\n",
          $date, $time, $sec, int($fof2*10.), substr($site, 0, 5), $lat, $lon;
    }
}
