% This script plots the GAIM brassim gtc* files
% using jason-1 data
% the routine is called from daily_gaim_brassim_plot 
% axk 4/11/04

load matlab_inp_gaim
load datum.dat

data=matlab_inp_gaim;

time=data(:,1);
gim=data(:,7);
tpx=data(:,6);
bent=data(:,7);
lat1=data(:,2);
lon1=data(:,3);
iri=data(:,8);
track=data(:,4);
gaim=data(:,10);

for i=1:max(track)

figure;close
%close all;
clf reset;

v=find(track==i);

%keyboard
orient tall

%subplot(2,1,1)
subplot('Position',[0.1 0.4 0.8 0.55]);

plot(lat1(v),tpx(v),'r*'); hold on
plot(lat1(v),gaim(v),'bd'); %hold on
plot(lat1(v),gim(v),'g^'); %hold on
plot(lat1(v),bent(v),'m>'); %hold on
plot(lat1(v),iri(v),'y<'); %hold on

hiv=[tpx(v);gim(v);bent(v);iri(v);gaim(v)];
him=max(hiv)+5;

nasad=gim(v)-tpx(v);
bentd=bent(v)-tpx(v);
irid=iri(v)-tpx(v);
gaimd=gaim(v)-tpx(v);

%keyboard
[ve,ive]=min(abs(lat1(v)));
%ltime=(sflon(v(ive))/15) + 12;

%keyboard

%figure;close;

%keyboard
title(['Daily GAIM Validation (brassim) for 200', num2str(datum(1)),' Using Jason-1 Track ',num2str(i)],'FontSize',14);


if 1
legend(['Jason-1'],...
['GAIM RMS = ',sprintf('%4.2f',std(gaimd)),' TECU'], ...
['GIM RMS   = ',sprintf('%4.2f',std(nasad)),' TECU'], ...
['Bent RMS = ',sprintf('%4.2f',std(bentd)),' TECU'],...
['IRI RMS = ',sprintf('%4.2f',std(irid)),' TECU'],0); %hold on
end;
if 0
legend(['Jason'],['TSAC GIM= '],...
['NASA GIM= '], ...
['NAVY GIM= '], ...
['BENT    = '], ...
['IRI2001 = '],0); hold on
end;
if 0
legend('Jason','TSAC GIM= ',...
'NASA GIM= ', ...
'NAVY GIM= ', ...
'BENT    = ', ...
'IRI2001 = ');
end;


xlabel('Latitude in Degrees');
ylabel('TEC in TECU')
%axis([-80 80 0 max(tpx(v))]);
axis([-80 80 0 him]);
%axis([-80 80 0 140]);
%set(gca,'YTick',[0:5:max(tpx(v))],'FontSize',14);

%keyboard

h2=legend;
%set(h2,'visible','off');
set(h2,'visible','off');set(allchild(h2),'visible','on'); %hold off;

%grid on

if i<10
 name = ['date0',num2str(i)];
else
 name = ['date',num2str(i)];
end;

%break

subplot('Position',[0.1 0.05 0.8 0.28]);
%subplot(2,1,2)
%load STLOCS.dat
load worldmap ; hm=plot(long,lat,'.'); set(hm,'MarkerSize',2); hold on

%vl=find(STLOCS(:,2) > 180);
vl2=find(lon1 > 180); lon1(vl2)=lon1(vl2)-360;
plot(lon1(v),lat1(v),'k+'); 
axis([-180 180 -90 90]);

%title(['Jason-1 Local Time Nearest to Geographic Equator = ',num2str(ltime,'%2.1f'), ' Hours',' and UT = ',num2str(time(v(ive)),'%2.1f'),' Hours' ]);
ylabel('Latitude in Degrees');
xlabel('Longitude in Degrees');
%orient landscape

%legend;
%eval(['print -depsc ' name]);
eval(['print -dpsc ' name]);

%keyboard

%break
%pause
close all hidden;
clf;
%pause;

%break;

end;
