#!/usr/bin/perl 
if (($ARGV[0] eq "-H") || ($ARGV[0] eq "-Help") || 
    ($ARGV[0] eq "-h") || ($#ARGV < 1)) {
print<<"EOF";

    Usage:    gaim_libtar.pl -d target_directory
   Eample:    gaim_libtar.pl -d /gaim/bkup

EOF
  exit(1);
} 

$nargs = 0;

foreach $i (0 .. $#ARGV) {
    $arg = $ARGV[$i];
    if ($arg eq "-d") { 
	$i++;
	$target_dir = $ARGV[$i];
	$nargs++;
    }
}

if ($nargs < 1) {
    print <<"EOF";
    print "Error: gaim_libtar.pl: Not all required args were specified.\n";
EOF
    exit(1);
}

@date = split(' ', `date`);
$mon = $date[1];
$day = $date[2];
$yr  = $date[5];
if (length($day) eq 1) {
    $day = '0'.$day;
}

$tar_file = 'gaimlib_'.$yr.$mon.$day.'.tar';
$current_dir = `pwd`;
chop($current_dir);
$gaimlib_dir = '/gaim/libs';
chdir($gaimlib_dir);

$g="global/*.f";
@lib=("geometry/$g", "physics/$g", "equation/$g", "matlab/$g", "nlsq/$g", "post_proc/$g", "obs_matrix/$g", "oi/$g", "optimize/$g", "write_obs/$g", "coor_trans/*.f", "drecipes/*.f", "tec/*.f", "util/*.f", "esl77/*.f", "math77/*.f", "math_lib/*.f", "minpack/*.f", "timetrans/*.f", "trrc_pos/*.f");
system("tar cvf - @lib > $target_dir/$tar_file");
`gzip -f $target_dir/$tar_file`;
chdir($current_dir);
