#!/usr/bin/perl 
#
# %W% %G%
# XQP@USC, 4/13/2001.
#
if (($ARGV[0] eq "-H") || ($ARGV[0] eq "-Help") || 
    ($ARGV[0] eq "-h") || ($#ARGV < 1)) {
print<<"EOF";

    Usage:    gaim_srcbkup.pl -d target_directory
   Eample:    gaim_srcbkup.pl -d /gaim/bkup

EOF
  exit(1);
} 

$nargs = 0;

foreach $i (0 .. $#ARGV) {
    $arg = $ARGV[$i];
    if ($arg eq "-d") { 
	$i++;
	$target_dir = $ARGV[$i];
	$nargs++;
    }
}

if ($nargs < 1) {
    print <<"EOF";
    print "Error: gaim_srcbkup.pl: Not all required args were specified.\n";
EOF
    exit(1);
}

@date = split(' ', `date`);
$mon = $date[1];
$day = $date[2];
$yr  = $date[5];
if (length($day) eq 1) {
    $day = '0'.$day;
}
$date1=$yr.$mon.$day;

@gaimdirs = ('/gaim/newgaim/bin',
	     '/gaim/newgaim/include',
             '/gaim/newgaim/input',
             '/gaim/newgaim/lib',
             '/gaim/newgaim/lib',
             '/gaim/newgaim/main',
             '/gaim/newgaim/main',
             '/gaim/newgaim/nml');

@tarfiles = ('gaimbin_'.$date1.'.tar',
	     'gaiminc_'.$date1.'.tar',
             'gaiminp_'.$date1.'.tar',
             'gaimlib_'.$date1.'.tar',
             'gaimlibmk_'.$date1.'.tar',
             'gaimsrc_'.$date1.'.tar',
             'gaimsrcmk_'.$date1.'.tar',
             'gaimnml_'.$date1.'.tar');

$f="*.f";
$inc="*.inc";
$nml="*.nml";
$make="Make*";

@allfiles=("*");

@incfiles=("$inc", 
	   "cov/$inc", 
	   "bcov/$inc", 
	   "ncov/$inc");

@inpfiles=("*");

@libfiles=("adjoint/$f", 
	   "blopt/$f", 
	   "coor_trans/$f", 
	   "drecipes/$f", 
	   "equation/$f", 
	   "esl77/$f", 
           "geometry/$f", 
	   "lbfgs/$f", 
	   "math77/$f", 
	   "math_lib/$f", 
	   "matlab_io/$f", 
	   "minpack/$f", 
	   "nlsq/$f", 
	   "obs_matrix/$f", 
	   "oi/$f", 
	   "optimize/$f", 
	   "physics/$f", 
	   "post_proc/$f", 
	   "spline/$f", 
	   "tec/$f", 
	   "timetrans/$f", 
	   "trrc_pos/$f",
	   "util/$f", 
	   "write_obs/$f");

@libmkfiles=("adjoint/$make", 
	   "blopt/$make", 
	   "coor_trans/$make", 
	   "drecipes/$make", 
	   "equation/$make", 
	   "esl77/$make", 
           "geometry/$make", 
	   "lbfgs/$make", 
	   "math77/$make", 
	   "math_lib/$make", 
	   "matlab_io/$make", 
	   "minpack/$make", 
	   "nlsq/$make", 
	   "obs_matrix/$make", 
	   "oi/$make", 
	   "optimize/$make", 
	   "physics/$make", 
	   "post_proc/$make", 
	   "spline/$make", 
	   "tec/$make", 
	   "timetrans/$make", 
	   "trrc_pos/$make",
	   "util/$make", 
	   "write_obs/$make");

@srcfiles=("fwd/$f",
	   "prodata/$f", 
	   "postpro/$f", 
	   "nlsq/$f", 
	   "perturb/$f",
	   "bkalman/$f");

@srcmkfiles=("bkalman/$make",
           "fwd/$make",
	   "nlsq/$make", 
	   "perturb/$make",
	   "postpro/$make", 
           "prodata/$make");

@nmlfiles=("*.nml");

$current_dir = `pwd`;
chop($current_dir);

for ($i=0; $i<=$#tarfiles; $i++) {
    chdir($gaimdirs[$i]);
    if ($i == 0) { @files=@allfiles; }
    if ($i == 1) { @files=@incfiles; }
    if ($i == 2) { @files=@inpfiles; }
    if ($i == 3) { @files=@libfiles; }
    if ($i == 4) { @files=@libmkfiles; }
    if ($i == 5) { @files=@srcfiles; }
    if ($i == 6) { @files=@srcmkfiles; }
    if ($i == 7) { @files=@nmlfiles; }
    system("tar cvf - @files > $target_dir/$tarfiles[$i]");
}

chdir($current_dir);
