#!/usr/bin/perl 
# @(#)gaim_prof.pl	1.3 11/30/99
#-------------------------------------------------------------------------
# Program:
#     gaim_prof.pl
#
# Description:
#     To extract profiles from the infile (obs_matrix_out) for specified
#     times or latitudes.
#
# Author:
#     XQP, October 1999.
#-------------------------------------------------------------------------
if ($#ARGV < 4) {
    print<<EOF;
        
  Usage:    gaim_prof.pl infile time_or_lat_id time lat skip_time

   Note:    time_or_lat_id = 1 for time, or 2 for lat
            skip_time      = initial run time (hours)

EOF
    exit(1);
}
$infile         = $ARGV[0];
$time_or_lat_id = $ARGV[1];
$time           = $ARGV[2];
$lat            = $ARGV[3];
$skip_time      = $ARGV[4];
if ($time_or_lat_id ne 1 && $time_or_lat_id ne 2) {
    print "Wrong input for time_or_lat_id.\n";
    print "Please give 1 for time or 2 for lat.\n";
    exit(1);
}
#@header  = split(' ', `head -1 $infile`);
#print "$header[32] $header[41]\n";
$ltime = $time/3600. - $skip_time;
if ($time_or_lat_id eq 1) { 
    print "$time_or_lat_id $ltime\n";
} else {
    print "$time_or_lat_id $lat\n";
}
open(IN, "< $infile");
while ($row = <IN>) {
    @tmp = split(' ', $row);
    if ($tmp[1] == $time && $tmp[33] == $lat) {
	$radius  = $tmp[32];
	$density = $tmp[41];
	print "$radius $density\n";
    }
}
close(IN);
