#!/usr/bin/perl 
#
# %W% %G%
# XQP@USC, 4/13/2001.
#
if (($ARGV[0] eq "-H") || ($ARGV[0] eq "-Help") || 
    ($ARGV[0] eq "-h") || ($#ARGV < 1)) {
print<<"EOF";

    Usage:    gaim_srcbkup.pl -d target_directory
   Eample:    gaim_srcbkup.pl -d /gaim/bkup

EOF
  exit(1);
} 

$nargs = 0;

foreach $i (0 .. $#ARGV) {
    $arg = $ARGV[$i];
    if ($arg eq "-d") { 
	$i++;
	$target_dir = $ARGV[$i];
	$nargs++;
    }
}

if ($nargs < 1) {
    print <<"EOF";
    print "Error: gaim_srcbkup.pl: Not all required args were specified.\n";
EOF
    exit(1);
}

@date = split(' ', `date`);
$mon = $date[1];
$day = $date[2];
$yr  = $date[5];
if (length($day) eq 1) {
    $day = '0'.$day;
}

$tar_inc   = 'gaiminc_'.$yr.$mon.$day.'.tar';
$tar_inp   = 'gaiminp_'.$yr.$mon.$day.'.tar';
$tar_lib   = 'gaimlib_'.$yr.$mon.$day.'.tar';
$tar_src   = 'gaimsrc_'.$yr.$mon.$day.'.tar';
$tar_srp   = 'gaimsrp_'.$yr.$mon.$day.'.tar';
$tar_libmk = 'gaimlibmk_'.$yr.$mon.$day.'.tar';
$tar_srcmk = 'gaimsrcmk_'.$yr.$mon.$day.'.tar';

$gaim_incdir = '/gaim/include';
$gaim_inpdir = '/gaim/input';
$gaim_libdir = '/gaim/libs';
$gaim_srcdir = '/gaim/source';
$gaim_srpdir = '/gaim/bin';

$f="*.f";
$g="global";
$inc="*.inc*";
$d3="si3d";
$pl="*.pl";
$nml="*.nml*";
$make="*Make*";

@libfiles=("geometry/$g/$f", 
	   "physics/$g/$f", 
	   "equation/$g/$f", 
	   "matlab/$g/$f", 
	   "nlsq/$g/$f", 
	   "adjoint/$d3/$f", 
	   "post_proc/$g/$f", 
	   "obs_matrix/$g/$f", 
	   "oi/$g/$f", 
	   "optimize/$g/$f", 
	   "write_obs/$g/$f", 
	   "coor_trans/$f", 
	   "drecipes/$f", 
	   "tec/$f", 
	   "util/$f", 
	   "esl77/$f", 
	   "math77/$f", 
	   "math_lib/$f", 
	   "minpack/$f", 
	   "timetrans/$f", 
	   "trrc_pos/$f");

@libmkfiles=("geometry/$g/$make", 
	     "physics/$g/$make", 
	     "equation/$g/$make", 
	     "matlab/$g/$make", 
	     "nlsq/$g/$make", 
	     "adjoint/$d3/$make", 
	     "post_proc/$g/$make", 
	     "obs_matrix/$g/$make", 
	     "oi/$g/$make", 
	     "optimize/$g/$make", 
	     "write_obs/$g/$make", 
	     "coor_trans/$make", 
	     "drecipes/$make", 
	     "tec/$make", 
	     "util/$make", 
	     "esl77/$make", 
	     "math77/$make", 
	     "math_lib/$make", 
	     "minpack/$make", 
	     "timetrans/$make", 
	     "trrc_pos/$make");

@incfiles=("$g/$inc", 
	   "$g/cov/$inc", 
	   "$g/ncov/$inc");

@inpfiles=("*");

@srcfiles=("adjoint/$d3/$f", 
	   "dataproc/$g/$f", 
	   "diff_image/$d3/$f", 
	   "fwd/$g/$f", 
	   "kalman/$g/$f", 
	   "kalmoi/$g/$f", 
	   "nlsq/$d3/$f", 
	   "nml_templates/$g/$nml", 
	   "nml_templates/$d3/$nml", 
	   "orbits/$f", 
	   "postfit/$d3/$f", 
	   "profile/$f", 
	   "profile/$nml", 
	   "profile/*.inp", 
	   "rtlinks/$f", 
	   "rtlinks/$nml", 
	   "rtlinks/$g/$f", 
	   "rtlinks/$g/$nml", 
	   "svd/$f", 
	   "tec/$g/$f", 
	   "tec/$g/$nml", 
	   "visual/$g/$f"); 

@srcmkfiles=("adjoint/$d3/$make", 
	     "dataproc/$g/$make", 
	     "diff_image/$d3/$make", 
	     "fwd/$g/$make", 
	     "kalman/$g/$make", 
	     "kalmoi/$g/$make", 
	     "nlsq/$d3/$make", 
	     "nml_templates/$g/$nml", 
	     "nml_templates/$d3/$nml", 
	     "orbits/$make", 
	     "postfit/$d3/$make", 
	     "profile/$make", 
	     "profile/$nml", 
	     "profile/*.inp", 
	     "rtlinks/$make", 
	     "rtlinks/$nml", 
	     "rtlinks/$g/$make", 
	     "rtlinks/$g/$nml", 
	     "svd/$make", 
	     "tec/$g/$make", 
	     "tec/$g/$nml", 
	     "visual/$g/$make");

@srpfiles=("$pl");

$current_dir = `pwd`;
chop($current_dir);

chdir($gaim_incdir);
$tarfile=$tar_inc;
@files=@incfiles;
system("tar cvf - @files > $target_dir/$tarfile");
`gzip -f $target_dir/$tarfile`;

chdir($gaim_inpdir);
$tarfile=$tar_inp;
@files=@inpfiles;
system("tar cvf - @files > $target_dir/$tarfile");
`gzip -f $target_dir/$tarfile`;

chdir($gaim_libdir);
$tarfile=$tar_lib;
@files=@libfiles;
system("tar cvf - @files > $target_dir/$tarfile");
`gzip -f $target_dir/$tarfile`;
$tarfile=$tar_libmk;
@files=@libmkfiles;
system("tar cvf - @files > $target_dir/$tarfile");
`gzip -f $target_dir/$tarfile`;

chdir($gaim_srcdir);
$tarfile=$tar_src;
@files=@srcfiles;
system("tar cvf - @files > $target_dir/$tarfile");
`gzip -f $target_dir/$tarfile`;
$tarfile=$tar_srcmk;
@files=@srcmkfiles;
system("tar cvf - @files > $target_dir/$tarfile");
`gzip -f $target_dir/$tarfile`;

chdir($gaim_srpdir);
$tarfile=$tar_srp;
@files=@srpfiles;
system("tar cvf - @files > $target_dir/$tarfile");
`gzip -f $target_dir/$tarfile`;

chdir($current_dir);
