#!/usr/bin/perl 
# %W% %G%
# XQP@JPL
#
if (($ARGV[0] eq "-H") || ($ARGV[0] eq "-Help") || 
    ($ARGV[0] eq "-h") || ($#ARGV < 3)) {
print<<"EOF";

    Usage:  get_parameters.pl -f parameter_out_file -n number_of_parameters

EOF
  exit(1);
} 

$nreqargs = 0;

foreach $i (0 .. $#ARGV) {
    $arg = $ARGV[$i];
    if ($arg eq "-f") { 
        $i++;
        $infile = $ARGV[$i];
        $nreqargs++;
    }
    if ($arg eq "-n") { 
        $i++;
        $nparam = $ARGV[$i];
        $nreqargs++;
    }
}

if ($nreqargs < 2) {
    print <<"EOF";
    print "Error: get_parameters.pl: Not all required args were specified.\n";
EOF
    exit(1);
}

$block=$nparam+4;

open(OUT01,'> param.cost0');
open(OUT02,'> param.coef0');
open(OUT03,'> param.grad0');
open(OUT04,'> param.gamm0');
open(OUT11,'> param.cost1');
open(OUT12,'> param.coef1');
open(OUT13,'> param.grad1');
open(OUT14,'> param.gamm1');

if (-e $infile) {
    open(IN,"< $infile");
    $line=0;
    $i=0;
    while (<IN>) {
	$line++;
	@tmp=split(' ',$_);
	if ($line == 1) { 
	    printf OUT01 (" %12.5e %12.5e",$tmp[2],$tmp[5]);
	}
	if ($line == 2) { 
	    printf OUT01 (" %12.5e",$tmp[1]);
	}
	if ($line == 3) { 
	    printf OUT01 (" %12.5e",$tmp[1]);
	}
	if ($line >= 5 && $line <=$block) {
	    printf OUT02 (" %12.5e",$tmp[0]);
	    printf OUT03 (" %12.5e",$tmp[1]);
	    printf OUT04 (" %12.5e",$tmp[2]);
	}
	if ($line == $block+1) { 
	    printf OUT11 (" %12.5e %12.5e",$tmp[2],$tmp[5]);
	}
	if ($line == $block+2) { 
	    printf OUT11 (" %12.5e",$tmp[1]);
	}
	if ($line == $block+3) { 
	    printf OUT11 (" %12.5e",$tmp[1]);
	}
	if ($line >= $block+5 && $line <= 2*$block) {
	    printf OUT12 (" %12.5e",$tmp[0]);
	    printf OUT13 (" %12.5e",$tmp[1]);
	    printf OUT14 (" %12.5e",$tmp[2]);
	}
	if ($line == 2*$block) { 
	    print OUT01 "\n";
	    print OUT02 "\n";
	    print OUT03 "\n";
	    print OUT04 "\n";
	    print OUT11 "\n";
	    print OUT12 "\n";
	    print OUT13 "\n";
	    print OUT14 "\n";
	    $line=0;
	}
    }
} else {
    print "$infile is not available. Please check it.\n";
    exit (1);
}
close(IN);
close(OUT01);
close(OUT02);
close(OUT03);
close(OUT04);
close(OUT11);
close(OUT12);
close(OUT13);
close(OUT14);
